shared_context 'hashes' do
  let!(:request_hash) do
    { id: SecureRandom.hex,
      title: 'Full-time Astronaut',
      description: 'Join NASA and be an Astronaut!',
      city: 'New York',
      region: 'NY',
      country: 'US',
      postal_code: '10014',
      apply_type: :url,
      apply_url: 'http://example.com/apply',
      employment_types: ['full_time', 'part_time'],
      experience_level: :entry_level,
      years_experience: 10,
      education: :high_school,
      compensation_type: :salary,
      compensation_amount: 400_000 }
  end

  let(:response_hash) do
    {'companyId'=>'EieNKiU3EQtPFB7H',
     'jobRequisitionId'=>'33328e85dbeb6350aae7f813df49f30b',
     'title'=>'Full-time Astronaut',
     'location'=>'New York, NY US',
     'employmentTypes'=>['fulltime', 'parttime'],
     'description'=>'Join NASA and be an Astronaut!',
     'applyType'=>'url',
     'applyUrl'=>'http://example.com/apply',
     'education'=>'highschool',
     'experienceLevel'=>'entryLevel',
     'compensationType'=>'salary',
     'compensationAmount'=>'400000.0',
     'benefitsMedical'=>false,
     'benefitsDental'=>false,
     'benefitsVision'=>false,
     'benefitsParentalLeave'=>false,
     'benefitsVacationDays'=>false,
     'benefitsSickDays'=>false,
     'locale'=>'en_US',
     'id'=>'7390001',
     'referenceUrl'=>
     'https://jobs-tt-1875-appspot.sandbox.jibe.com#!t=jo&jid=/jibe-inc/full-time-astronaut-new-york-ny-usa-7390001',
     'yearsExperience'=>'10',
     'published'=>true,
     'jobpostExpiryDate'=>'1435178894'}
  end
end
